#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

SITEURL = 'https://exon.wntrmute.dev'
AUTHOR = u'kyle'
SITENAME = u'Exocortex Notes'
DESCRIPTION = 'Development log and information about the wntrmute exocortex'
THEME = 'monospace'
TIMEZONE = 'America/Los_Angeles'
DEFAULT_LANG = u'en'

DATE_FORMAT = '%F'

PATH = 'content'
STATIC_PATHS = ['files']
EXTRA_PATH_METADATA = { }

PLUGIN_PATHS = ['plugins']
PLUGINS = ['pagehier']
MARKDOWN = {
    'extension_configs': {
        'markdown.extensions.codehilite': {
            'css_class': 'highlight',
            'use_pygments': True,
            },
        'markdown.extensions.extra': {},
        'markdown.extensions.meta': {},
    },
    'output_format': 'html5',
}

#ARTICLE_URL = 'blog/{date:%Y}/{date:%m}/{date:%d}/{slug}/'
#ARTICLE_SAVE_AS = 'blog/{date:%Y}/{date:%m}/{date:%d}/{slug}/index.html'
PAGE_URL = '{slug}.html'
PAGE_SAVE_AS = '{slug}.html'
SLUGIFY_SOURCE = 'basename'

def select_journal(articles, limit=5):
    return [article for article in articles if 'journal' in article.tags][:limit]

def filter_journal(articles, limit=5):
    return [article for article in articles if 'journal' not in article.tags][:limit]

def select_stream(articles, limit=1):
    return [article for article in articles if 'stream' in article.tags][:limit]

JINJA_FILTERS = {
    'select_journal': select_journal,
    'filter_journal': filter_journal,
    'select_stream': select_stream,
}

# Blogroll (('name',' http://example.net/'))
LINKS = ();
DEFAULT_PAGINATION = 10


# These are used in development; publishconf will override them.
RELATIVE_URLS = True
LOAD_CONTENT_CACHE = False
